This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 825401 - [abrt] audacity-2.0.0-1.fc16: __GI_raise: Process /usr/bin/audacity was killed by signal 6 (SIGABRT)
[abrt] audacity-2.0.0-1.fc16: __GI_raise: Process /usr/bin/audacity was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Manuel F Martinez
Fedora Extras Quality Assurance
abrt_hash:8cabf496b6cc2917e25e666dc5f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 19:16 EDT by Roger Berg
Modified: 2012-09-17 18:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (13.11 KB, text/plain)
2012-05-25 19:17 EDT, Roger Berg
no flags Details
File: maps (57.68 KB, text/plain)
2012-05-25 19:17 EDT, Roger Berg
no flags Details
File: backtrace (99.85 KB, text/plain)
2012-05-25 19:17 EDT, Roger Berg
no flags Details

  None (edit)
Description Roger Berg 2012-05-25 19:16:56 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        audacity
crash_function: __GI_raise
executable:     /usr/bin/audacity
kernel:         3.3.5-2.fc16.x86_64
pid:            10198
pwd:            /home/roger
reason:         Process /usr/bin/audacity was killed by signal 6 (SIGABRT)
time:           fre 25 maj 2012 20.53.39
uid:            1000
username:       roger
var_log_messages: May 25 20:53:40 linux abrt[3029]: Saved core dump of pid 10198 (/usr/bin/audacity) to /var/spool/abrt/ccpp-2012-05-25-20:53:39-10198 (64045056 bytes)

backtrace:      Text file, 102248 bytes
dso_list:       Text file, 13427 bytes
maps:           Text file, 59067 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=linux.server
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=99b7d8155ed9a463e28580980000000a-1337791966.529585-468878968
:GNOME_KEYRING_CONTROL=/tmp/keyring-3O2TAA
:IMSETTINGS_MODULE=none
:USER=roger
:USERNAME=roger
:MAIL=/var/spool/mail/roger
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/roger/.local/bin:/home/roger/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/roger
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1387
:LANG=sv_SE.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/roger
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=roger
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-72l5XT4Esf,guid=4a4ea18bdc211386fc3e5a6500000037
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/roger
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-roger-Rad8bz/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1392,unix/unix:/tmp/.ICE-unix/1392
:SSH_AUTH_SOCK=/tmp/keyring-3O2TAA/ssh
:GPG_AGENT_INFO=/tmp/keyring-3O2TAA/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1608-linux.server-audacity-3_TIME23362847
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-audacity.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=10198

xsession_errors:
:*** glibc detected *** audacity: double free or corruption (fasttop): 0x00007f7bfc6c3c90 ***
:audacity(_ZN11TrackArtist10DrawTracksEP9TrackListP5TrackR4wxDCR8wxRegionR6wxRectS9_P8ViewInfobbb+0x213)[0x5c2243]
:audacity(_ZN10TrackPanel10DrawTracksEP4wxDC+0x1fa)[0x5cb4fa]
:audacity(_ZN10TrackPanel7OnPaintER12wxPaintEvent+0xda)[0x5dcd2a]
:audacity(_ZN19TimerProgressDialog6UpdateERK8wxString+0x1b8)[0x6e9058]
:audacity(_ZN17TimerRecordDialog13RunWaitDialogEv+0x4db)[0x5b7a4b]
:audacity(_ZN15AudacityProject13OnTimerRecordEv+0x2d)[0x55620d]
:audacity(_ZN14CommandManager18HandleCommandEntryEP16CommandListEntryjj+0x6b)[0x5fd85b]
:audacity(_ZN14CommandManager9HandleKeyER10wxKeyEventjj+0xe2)[0x5fdb42]
:audacity(_ZN15AudacityProject13HandleKeyDownER10wxKeyEvent+0xaf)[0x57f6ff]
:audacity(_ZN11AudacityApp9OnKeyDownER10wxKeyEvent+0x53)[0x508ea3]
:00400000-00a31000 r-xp 00000000 08:03 550520                             /usr/bin/audacity
:00c31000-00c32000 r--p 00631000 08:03 550520                             /usr/bin/audacity
:00c32000-00cbd000 rw-p 00632000 08:03 550520                             /usr/bin/audacity
:00ebc000-00f2a000 rw-p 006bc000 08:03 550520                             /usr/bin/audacity
Comment 1 Roger Berg 2012-05-25 19:17:46 EDT
Created attachment 586966 [details]
File: dso_list
Comment 2 Roger Berg 2012-05-25 19:17:48 EDT
Created attachment 586967 [details]
File: maps
Comment 3 Roger Berg 2012-05-25 19:17:51 EDT
Created attachment 586968 [details]
File: backtrace
Comment 4 David Timms 2012-06-17 06:57:20 EDT
Hi, it's been a few weeks, but can you remember your actions leading to this crash in audacity ?

What was the visual result in the UI ?

Is it repeatable ?
Comment 5 Fedora Update System 2012-08-29 08:04:11 EDT
audacity-2.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/audacity-2.0.2-1.fc17
Comment 6 Fedora Update System 2012-08-29 08:24:44 EDT
audacity-2.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/audacity-2.0.2-1.fc16
Comment 7 Fedora Update System 2012-08-29 20:52:14 EDT
Package audacity-2.0.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audacity-2.0.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12952/audacity-2.0.2-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-04 09:35:23 EDT
audacity-2.0.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/audacity-2.0.2-2.fc16
Comment 9 Fedora Update System 2012-09-04 09:35:59 EDT
audacity-2.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/audacity-2.0.2-2.fc17
Comment 10 Fedora Update System 2012-09-04 09:36:18 EDT
audacity-2.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/audacity-2.0.2-2.fc18
Comment 11 Fedora Update System 2012-09-17 13:22:22 EDT
audacity-2.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-17 14:01:23 EDT
audacity-2.0.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-09-17 18:33:39 EDT
audacity-2.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.